const getFilteredMenus = (accountPageStore, selectedMenu) => accountPageStore.map(item => {
    if (selectedMenu.indexOf(item.key) !== -1) {
        const { path, component, ...rest } = item;
        return {
            [path]: { name: rest.tab, ...rest },
        };
    }
}).filter(valid => valid);
const getFilteredRoutes = (accountPageStore, selectedRoutes) => accountPageStore.map(item => {
    if (selectedRoutes.indexOf(item.key) !== -1) {
        const { path } = item;
        return {
            [path]: item,
        };
    }
    return null;
}).filter(valid => valid);export{getFilteredMenus,getFilteredRoutes};//# sourceMappingURL=menu.js.map
